/**
 * audio_control.h: The control interface
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 */

#ifndef AUDIO_CONTROL_H_
#define AUDIO_CONTROL_H_

#include <vdr/player.h>
#include "audio_player.h"
#include "web_serviceconnector.h"  // used for controlling (lastfm-buttons while watching tv

#ifdef LASTFM_USE_SOFTDEVICE_RECEIVER
#include "receiver_controller.h"
#endif //LASTFM_USE_SOFTDEVICE_RECEIVER

class cAudioControl : public cControl
{
public:
	static cAudioControl& GetInstance( void );	
	cAudioControl( void );
	virtual ~cAudioControl( void );
	virtual void Hide( void );
	void Next( void );
protected:
	virtual eOSState ProcessKey( eKeys Key );
	cAudioPlayer *player;
private:
	static cAudioControl *gpo_config;
	cWebServiceConnector *WebConn;
	
#ifdef LASTFM_USE_SOFTDEVICE_RECEIVER
private:
	cReceiverController *ReceiverController;
#endif //LASTFM_USE_SOFTDEVICE_RECEIVER
};

#endif // AUDIO_CONTROL_H_
